Retrieves all alerts for an account
Request Headers
| Header | Value | Required | Description |
|---|---|---|---|
| ECI-ApiKey | string | Yes | Your API key. See Authentication. |
| Content-Type | application/json | Yes | All requests must specify JSON content type. |
Path Parameters
| Name | Description | Type | Required |
|---|---|---|---|
| accountId | The identifier for the account | integer (int32) | Required |
Responses
200
OK
The request succeeded and the response body contains the requested data.
Response Body Parameters
Array of:
AccountAlertResponse
| Property | Description | Type |
|---|---|---|
| alertId | integer (int32) | |
| allowBillProcessing | boolean | |
| beginDate | string (date-time) | |
| endDate | string (date-time) | |
| message | string |
Example Response
[
{ "alertId": 1, "allowBillProcessing": false, "beginDate": "2026-03-30", "endDate": "2026-03-30", "message": "string"
}
]